coupang
POST/v2/providers/fms/apis/api/v1/vendors/{vendorId}/coupons/{couponId}/items2609170000

[Instant Discount Coupon] Item Addition

# 01

Summary

[Instant Discount Coupon] Item Addition

# 02

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued by Coupang for each seller
e.g. A00012345
couponId*number
Coupon ID you want to apply to the given item
# 03

Request body

Request parameters

Body parameter

NameTypeDescription
vendorItems*object[]
Item ID to which you want to apply the coupon
The maximum number of Item ID's you can upload each time is 10,000.
Request exampleapplication/json
{
  "vendorItems": [
    3226138951,
    3226138847
  ]
}
# 04

Response body

Response message

NameTypeDescription
codeinteger
server response code
messagestring
server response message
httpStatusinteger
HTTP status code (same value as the server response code)
httpStatusMessagestring
HTTP status message (same value as the server response message)
errorMessagestring
It details the reason for error except for "http status 200"
dataobject
Data that shows whether the request succeeded or not
success
data.success
boolean
true or false
content
data.content
object
Data about the requested ID for which you want to check status
requestedId
data.content.requestedId
string
The id you want to query the request status for
e.g. 1542675975663862164
success
data.content.success
boolean
true or false
Pagination
data.Pagination
object[]
no pagination

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "requestedId": "17258005702255081464",
      "success": true
    },
    "pagination": null
  }
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check parameter requested)

vendorItems may not be empty, vendorItems size must be between 1 and 10000

See if there are any issues with the vendor item ids you have entered. Please note that you cannot add more than 10,000 item id's at a time.

400400 (check parameter requested)

Please check if you're authorized for the vendor

See if the VendorID is correct.

400400 (check parameter requested)

Please check CouponID 208463****

See if the CouponID is correct.